Home | All Classes | Grouped Classes | Index | Search

# CL_Surface::CL_Surface

Constructs a surface.

    	CL_Surface();

    	CL_Surface(
    		CL_PixelBuffer provider, int flag = flag_none);

    	CL_Surface(
    		const std::string& resource_id, CL_ResourceManager* manager);

    	CL_Surface(
    		const std::string& filename, int flag = flag_none);

    	CL_Surface(
    		const CL_Surface& copy);

Parameters:

provider
  Image that surface will use.
delete_provider
  If true, will delete provider after it has copied its image data.
flag
  Flags which affects how surface will be created.
filename
  Name of an image file to load image data from.

See also:

CL_Surface | CL_ResourceManager | CL_Resource | CL_PixelBuffer

Questions or comments, write to the ClanLib mailing list.